\documentclass[a4paper,10pt]{article}

\begin{document}

\title{\textbf{NE2000 ethernet card}}
\author{Pawel Dziepak}
\date{\textit{November 11, 2008}}
\maketitle

\section{NE2k driver overview}

\section{Registers}
\begin{verbatim}
# (off: 0 page: all rd/wr) Command (CR)					       #
	bit	meaning
	0	turns off device (initial: set)
	1	turns on device (initial: zero)
	2	if set ne2k will start transmission
	3-4	remote dma command:
		00 - not allowed
		01 - read
		10 - write
		11 - send packet
	5	if set dma is aborted
	6-7	currently used page:
		00 - page 0
		01 - page 1
		10 - page 2
		11 - reserved

# (off: 0x7 page: 0 rd/wr) Interrupt Status (ISR)			       #
	bit	meaning
	0	packet received
	1	packet transmitted
	2	error at receiving packet
	3	error at sending packet
	4	overwrite warning
	5	counter overflow
	6	dma transmission complete
	7	reset status

# (off: 0xc page: 0 wr) Receive Configuration Register (RCR)		       #
	bit	meaning
	0	accept packets with errors
	1	accept packets smaller than 64 bytes
	2	accept broadcast packet
	3	accept multicast packet
	4	promiscuous physical(accepts all packets)
	5	packets are not buffered to memory
	6-7	reserved

# (off: 0xd page: 0 wr) Transimt Configuration Register (TCR)		       # 
	bit 	meaning
	0	CRC inhibited by transmitter
	1-2	loopback control
		00 - normal operation
		01 - internal loopback
		02 - external loopback (LPBK = 1)
		03 - external loopback (LPBK = 0)
	3	transimtter disabled by multicast packets
	4	forces backoff optimization
	5-7	reserved

# (off: 0xe page: 0 wr) Data Configuration Register (DCR)		       #
	bit	meaning
	0	0 for 8bit DMA, 1 for 16bit DMA
	1	0 for little-endian, 1 for big-endian
	2	0 for dual 16bit DMA, 1 for single 32bit DMA
	3	loopback disabled
	4	Send Command executed
	5-6	fifo threshold
		00 - 2 bytes
		01 - 4 bytes
		10 - 8 bytes
		11 - 12 bytes
	7	reserved

# (off: 0xf page: 0 wr) Interrupt Mask Register	(IMR)			       #
	bit	meaning
	0	irq when packet received
	1	irq when packed transmitted
	2	irq on receive error
	3	irq on transmit error
	4	irq on overwrite warning
	5	irq on counter overflow
	6	irq on dma completion
	7	reserved
\end{verbatim}

\section{More information}
\paragraph{}NE2000 specification available at: http://www.national.com/opf/DP/DP8390D.html
NE2000 driver written by Ian Lance Taylor available at:
http://www.rtems.com/ml/rtems-users/1999/january/msg00018.html

\end{document}
